Bug Hunting Session
Bug 57927 - Only the dictionary of my mother tongue was installed
Summary: Only the dictionary of my mother tongue was installed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.0.0.beta0 tar...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-05 20:48 UTC by Antonis
Modified: 2013-01-15 07:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonis 2012-12-05 20:48:00 UTC
I installed LibreOffice: Windows, version 3.6.4, Greek, the main installer. I chose the default installation which informed me that all dictionaries would be installed. However, only the greek dictionary is installed and is shown in the extensions list.. The same applies to the previous version of the 3.6 series, but not to the ones of the 3.5 series where the dictionaries of all main languages were automatically installed.
Comment 1 Rainer Bielefeld Retired 2012-12-05 21:41:00 UTC
Antonis
Of course we need info what installer from what source for what OS you used. Why did you check Estensions list and not available languages in menu 'Tools -> Options -> Language Settings -> Writing aids'?
Comment 2 Antonis 2012-12-05 22:29:59 UTC
I downloaded LibreOffice from here: http://www.libreoffice.org/download/
The full name of the file was
LibO_3.6.4_Win_x86_install_multi.msi (server: http://ftp.cc.uoc.gr)
My operating system is Windows 7 Home Premium.
In the list of available dictionaries I can see English (GB-USA) and Slovenian.
However, no english word is underlined with red, even if I set the main language of the text to English from Tools -> Options -> Language Settings -> Languages.
What is more, in the same tab, in the default language menu, there is an ABC tick only for Greek. In 3.5 all the installed dictionaries were shown in the Extensions list.
Comment 3 Antonis 2012-12-05 22:55:32 UTC
I wrote before: no (wrongly spellt) english word is underlined
This applies to LibreOffice Writer.
In LibreOffice Impress ALL english words are underlined with red unless I set the default language of the text to "English" and not "Greek". If I do so, no wrongly spellt english word is underlined, too.
I hope that I have not tired you.
Comment 4 Rainer Bielefeld Retired 2012-12-06 05:20:46 UTC
I modify Version due to original report.

@Antonis
Please excuse me, my mistake, I lead you to the USER-dictionaries, but interesting are the standard directories you find under 'Tools -> Options -> Language Settings -> Languages - Default languages for documents '. There  you should see lots of languages with checkmark (Means "Available", for example English (UK) and French (France). Our further discussion should be concerning French (France).

If you do no see thatwith checkmark in the languages list, please try whether your problem persists when you renamed your user profile before you launch LibO (please see  <https://wiki.documentfoundation.org/UserProfile#User_profile_location>)
and report your results.
From what Version did you update?
Comment 5 Stephan Bergmann 2012-12-06 11:19:03 UTC
(In reply to comment #0)
> I installed LibreOffice: Windows, version 3.6.4, Greek, the main installer.
> I chose the default installation which informed me that all dictionaries
> would be installed. However, only the greek dictionary is installed and is
> shown in the extensions list.. The same applies to the previous version of
> the 3.6 series, but not to the ones of the 3.5 series where the dictionaries
> of all main languages were automatically installed.

Where exactly does it inform you "that all dictionaries would be installed"?

What changed with the fix for bug 53009 in LO 3.6.3 is that now by default only a subset of the dictionaries that are available in the installation set is actually installed, where that subset is based on your locale.  According to setup_native/source/packinfo/spellchecker_selection.txt that would mean that for a Greek locale ("el") indeed only the Greek dictionary would be installed by default (unless you explicitly change that in the installation dialog).
Comment 6 Antonis 2012-12-06 14:25:23 UTC
@Rainer Bielefeld
Only Greek has a checkmark, neither French nor some other language.
I followed your instructions, but still the same.
My previous version of LibreOffice was 3.5.7. I removed it with RevoUninstaller, ran CCleaner and then made a fresh install of 3.6.4.

@Stephan Bergmann
In the third dialog box of the setup it is written that the typical setup will install spelling dictionaries in all available dictionaries. ( http://www.libreoffice.org/get-help/installation/windows/ )
Since the name of the installation file included the word "multi", I guessed that all the dictionaries would be installed, like in LibreOffice 3.5.

On top of that, I would like to underline again that LibreOffice Impress underlines all non-greek words when the default language is Greek, while LibreOffice Writer ignores all non-greek words.
Comment 7 Not Assigned 2012-12-06 16:00:48 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d35849b6f718990869b01209865bb70cb7343ceb

fdo#57927: Clarify msi installer only installs subset of dicts by default



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2012-12-06 16:06:46 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0f70009e805ebc37493fb3afefb443b64fa4108&g=libreoffice-4-0

fdo#57927: Clarify msi installer only installs subset of dicts by default


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Stephan Bergmann 2012-12-06 16:07:35 UTC
(In reply to comment #7)
> Stephan Bergmann committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=d35849b6f718990869b01209865bb70cb7343ceb
> 
> fdo#57927: Clarify msi installer only installs subset of dicts by default

backport to libreoffice-3-6 towards LO 3.6.5 requested at <https://gerrit.libreoffice.org/#/c/1254/>
Comment 10 Not Assigned 2012-12-06 20:12:30 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2876a7ff78f4d3d48c444ca285a7c1280018257&g=libreoffice-3-6

fdo#57927: Clarify msi installer only installs subset of dicts by default


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Rainer Bielefeld Retired 2012-12-18 06:57:28 UTC
This one looks rather fixed?!
Comment 12 VX 2012-12-22 17:51:50 UTC
(In reply to comment #11)
> This one looks rather fixed?!

Are you sure? There are a few issues with installing spell checking dictionaries. Some of them I described in another bug report:
https://bugs.freedesktop.org/show_bug.cgi?id=58654

Before closing this bug, please make sure the issues described in bug no. 58654 are not related with this one. Thank you very much.
Comment 13 jmontane 2013-01-14 16:29:36 UTC
Hi,

With Lib0 4.0 RC1, Windows XP with Catalan locale (ca-ES), only Catalan, Spanish, Araganese, Portuguese, French and Italian dictionaries are installed. All dictionaries are expected to be installed, or, at least, Basque, Gallician and English would be installed too.


So, I think it's the same bug and it's not fixed in LibO 4.0 RC1.
Comment 14 Stephan Bergmann 2013-01-14 17:41:29 UTC
(In reply to comment #13)
> With Lib0 4.0 RC1, Windows XP with Catalan locale (ca-ES), only Catalan,
> Spanish, Araganese, Portuguese, French and Italian dictionaries are
> installed. All dictionaries are expected to be installed, or, at least,
> Basque, Gallician and English would be installed too.

The English dictionary not being select for installation by default is fixed with <http://cgit.freedesktop.org/libreoffice/core/commit/?id=9299707ce09077f10c49ec836e26f6197ed20a1a&g=libreoffice-4-0> "Always default-select English dictionary," though that fix did not make it into LO 4.0 RC1.

Regarding Basque and Galician dictionaries, which dictionaries are selected for installation by default depends on which additional user interface languages are selected for installation by default (which in turn depends on various properties of the Windows environment into which LO is installed) and the mapping in setup_native/source/packinfo/spellchecker_selection.txt, which maps from additional user interface language tags to lists of dictionary tags.  For Galician, e.g., the line

  gl = "gl,pt-PT,es"

specifies to default-select the Galician ("gl"), Portuguese ("pt-PT"), and Spanish ("es") dictionaries if the Galician ("gl") additional user interface language is default-selected.

@jmontane:  Which additional user interface languages are selected for installation by default when you install LO 4.0 RC1 into your Windows environment?  (Choosing a "Setup Type" of "Custom", then "Next >", then looking at the list of "Additional user interface languages" that are marked as "This feature will be installed on local hard drive.")

(That said, there appears to be no Basque dictionary in LO anyway?)
Comment 15 jmontane 2013-01-14 18:26:40 UTC
@Stephan
Thanks for your great answer. I will open a new bug requesting improvements on dictionary and UI matching for Catalan and Spanish, :)
Comment 16 Stephan Bergmann 2013-01-15 07:38:09 UTC
(In reply to comment #15)
> I will open a new bug requesting improvements
> on dictionary and UI matching for Catalan and Spanish, :)

I see bug 59380 and bug 59381 now, so am closing this bug again.